﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace mtpcs
{
    public partial class FormProgress : Form
    {
        private bool stopFlag;
        public FormProgress()
        {
            InitializeComponent();
            stopFlag = false;
        }
        public void SetMax(int max)
        {
            progressCopy.Maximum = max;
        }
        public void SetPos(int pos)
        {
            progressCopy.Value = pos;
        }
        public void SetMessage(string src, string dst)
        {
            labelSrc.Text = src;
            labelDst.Text = dst;
        }

        private void buttonStop_Click(object sender, EventArgs e)
        {
            stopFlag = true;
        }
        public bool Stop
        {
            get
            {
                return stopFlag;
            }
        }

        private void FormProgress_Load(object sender, EventArgs e)
        {
            Location = new Point(Owner.Location.X + (Owner.Width - this.Width) / 2, Owner.Location.Y + (Owner.Height - this.Height) / 2);
        }
    }
}
